Debian Bug report logs - #689791
php5-xdebug: modifies conffiles during distupgrade from squeeze (policy 10.7.3): /etc/php5/mods-available/xdebug.ini

version graph

Package: php5-xdebug; Maintainer for php5-xdebug is Debian PHP PECL Maintainers <pkg-php-pecl@lists.alioth.debian.org>; Source for php5-xdebug is src:xdebug.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Sat, 6 Oct 2012 11:12:02 UTC

Severity: serious

Found in version xdebug/2.2.1-1

Fixed in version xdebug/2.2.1-2

Done: Lior Kaplan <kaplan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#689791; Package php5-xdebug. (Sat, 06 Oct 2012 11:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Martin Meredith <mez@debian.org>. (Sat, 06 Oct 2012 11:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: php5-xdebug: modifies conffiles during distupgrade from squeeze (policy 10.7.3): /etc/php5/mods-available/xdebug.ini
Date: Sat, 06 Oct 2012 13:09:33 +0200
[Message part 1 (text/plain, inline)]
Package: php5-xdebug
Version: 2.2.1-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package modifies conffiles.
This is forbidden by the policy, see
http://www.debian.org/doc/debian-policy/ch-files.html#s-config-files

10.7.3: "[...] The easy way to achieve this behavior is to make the
configuration file a conffile. [...] This implies that the default
version will be part of the package distribution, and must not be
modified by the maintainer scripts during installation (or at any
other time)."

Note that once a package ships a modified version of that conffile,
dpkg will prompt the user for an action how to handle the upgrade of
this modified conffile (that was not modified by the user).

Further in 10.7.3: "[...] must not ask unnecessary questions
(particularly during upgrades) [...]"

If a configuration file is customized by a maintainer script after
having asked some debconf questions, it may not be marked as a
conffile. Instead a template could be installed in /usr/share and used
by the postinst script to fill in the custom values and create (or
update) the configuration file (preserving any user modifications!).
This file must be removed during postrm purge.
ucf(1) may help with these tasks.
See also http://wiki.debian.org/DpkgConffileHandling

In https://lists.debian.org/debian-devel/2012/09/msg00412.html and
followups it has been agreed that these bugs are to be filed with
severity serious.

debsums reports modification of the following files,
from the attached log (scroll to the bottom...):

  /etc/php5/mods-available/xdebug.ini

I only noticed this during distupgrades from squeeze, not during normal
installation.


cheers,

Andreas
[php5-xdebug_2.2.1-1.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#689791; Package php5-xdebug. (Sun, 07 Oct 2012 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lior Kaplan <kaplanlior@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Sun, 07 Oct 2012 22:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 689791@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplanlior@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 689791@bugs.debian.org
Subject: #689791 php5-xdebug: modifies conffiles during distupgrade from squeeze (policy 10.7.3): /etc/php5/mods-available/xdebug.ini
Date: Mon, 8 Oct 2012 00:53:42 +0200
[Message part 1 (text/plain, inline)]
I guess this is due to this line:

> Preserving user changes to /etc/php5/mods-available/xdebug.ini (renamed
> from /etc/php5/conf.d/xdebug.ini)...
>

The problem might be bigger than the policy violation, as if the config
file holds the old so file location, the extension won't load - so the
package will be defacto broken.

This might be relevant for more PHP extensions.

It would be a great help if you could provide me the content of both files
before and after the upgrade.

Kaplan
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#689791; Package php5-xdebug. (Sat, 13 Oct 2012 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Sat, 13 Oct 2012 23:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 689791@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: 689791@bugs.debian.org
Subject: #689791 php5-xdebug: modifies conffiles during distupgrade from squeeze (policy 10.7.3): /etc/php5/mods-available/xdebug.ini
Date: Sun, 14 Oct 2012 00:05:47 +0100
Looking at this bug, the following seems to be required:

* the use of ucf should be continued -- the conversion from a configuration file 
managed by ucf to a conffile managed by dpkg needs to be done carefully. Most of 
squeeze's ucf probably should still be in the wheezy package

* dpkg-maintscript-helper mv_conffile shouldn't be used on ucf-managed 
configuration files

* the path in squeeze's xdebug.ini probably should not have been there to 
begin with; it needs to be removed in a policy compliant fashion during the 
squeeze->wheezy upgrade.

cheers
Stuart


-- 
Stuart Prescott    http://www.nanonanonano.net/   stuart@nanonanonano.net
Debian Developer   http://www.debian.org/         stuart@debian.org
GPG fingerprint    BE65 FD1E F4EA 08F3 23D4 3C6D 9FE8 B8CD 71C5 D1A8
GPG fingerprint    90E2 D2C1 AD14 6A1B 7EBB  891D BBC1 7EBB 1396 F2F7



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#689791; Package php5-xdebug. (Sat, 10 Nov 2012 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lior Kaplan <kaplanlior@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Sat, 10 Nov 2012 22:45:04 GMT) Full text and rfc822 format available.

Message #20 received at 689791@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplanlior@gmail.com>
To: Stuart Prescott <stuart@debian.org>, 689791@bugs.debian.org
Subject: Re: Bug#689791: #689791 php5-xdebug: modifies conffiles during distupgrade from squeeze (policy 10.7.3): /etc/php5/mods-available/xdebug.ini
Date: Sun, 11 Nov 2012 00:44:09 +0200
[Message part 1 (text/plain, inline)]
On Sun, Oct 14, 2012 at 1:05 AM, Stuart Prescott <stuart@debian.org> wrote:

> * the path in squeeze's xdebug.ini probably should not have been there to
> begin with; it needs to be removed in a policy compliant fashion during the
> squeeze->wheezy upgrade.
>

I wish this was true, but the full path is an upstream requirement. See
http://xdebug.org/docs/install

Kaplan
[Message part 2 (text/html, inline)]

Reply sent to Lior Kaplan <kaplan@debian.org>:
You have taken responsibility. (Sat, 10 Nov 2012 22:51:04 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sat, 10 Nov 2012 22:51:04 GMT) Full text and rfc822 format available.

Message #25 received at 689791-close@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplan@debian.org>
To: 689791-close@bugs.debian.org
Subject: Bug#689791: fixed in xdebug 2.2.1-2
Date: Sat, 10 Nov 2012 22:47:28 +0000
Source: xdebug
Source-Version: 2.2.1-2

We believe that the bug you reported is fixed in the latest version of
xdebug, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689791@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lior Kaplan <kaplan@debian.org> (supplier of updated xdebug package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 11 Nov 2012 00:28:28 +0200
Source: xdebug
Binary: php5-xdebug
Architecture: source amd64
Version: 2.2.1-2
Distribution: unstable
Urgency: low
Maintainer: Martin Meredith <mez@debian.org>
Changed-By: Lior Kaplan <kaplan@debian.org>
Description: 
 php5-xdebug - Xdebug Module for PHP 5
Closes: 689791
Changes: 
 xdebug (2.2.1-2) unstable; urgency=low
 .
   * Force correct path to xdebug.so in conffile (Closes: #689791)
Checksums-Sha1: 
 63021b72cb0479f807f8c92678f031d44a3ebac3 1100 xdebug_2.2.1-2.dsc
 dd6e72aded248f6d44ecd4a2e244e95f14d780fc 6801 xdebug_2.2.1-2.debian.tar.gz
 ef206e113a69cb0ea88b27dddddf84cbff859ad2 269450 php5-xdebug_2.2.1-2_amd64.deb
Checksums-Sha256: 
 002dba37cd4a2db71b11b368b390c1a9d99d0769d509be8d32f07a39e19b9399 1100 xdebug_2.2.1-2.dsc
 8e6404a4819d2f0227d1e334e53be5eca45d114276b1bb4045ba7ce6c52ce9f1 6801 xdebug_2.2.1-2.debian.tar.gz
 bac369541ef4dc297bd8567640fd5be402701c9f7b28279c9f97624897093f9b 269450 php5-xdebug_2.2.1-2_amd64.deb
Files: 
 595725fa2c7595ead142dac30c64713e 1100 php optional xdebug_2.2.1-2.dsc
 f7c15412d6c0cd313f6de5c56d06ac77 6801 php optional xdebug_2.2.1-2.debian.tar.gz
 bd46ac3046b20df4900c2b052b9ab3a5 269450 php optional php5-xdebug_2.2.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCe1vIACgkQFViURZnoHaCaegCcCPaRAZm3zoP8ylx4vr7pZWFW
r5oAoKsumDn9bR349LSPueih5UXLujp9
=eJzu
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Dec 2012 07:26:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:58:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.